Page MenuHomePhabricator

Move stuff in huggle docs into small number of large pages
Open, LowestPublic

Description

Right now huggle manual at https://www.mediawiki.org/wiki/Manual:Huggle contains horrid number of subpages that users need to click through, which is horrid, believe me.

For this task, you need to have some understanding of how to organize information and documentation. You must also have some basic knowledge of editing wiki pages - see https://www.mediawiki.org/wiki/Help:Editing

It would be much more easy for user to navigate through manual, if most of stuff was on 1 large web page (via anchor links), with index (table of contents). The current layout can stay but we would link to sections on that 1 page instead of many small pages.

Any contributor working on this might want to create a proposal on a personal wikipage (e.g. a subpage under your wiki user page on mediawiki.org) and get some feedback from the mentors of this task, before actually editing/overwriting the current page (and potentially redirecting some subpages whose content is now included in the main page).

Event Timeline

Petrb created this task.Mar 20 2015, 4:59 PM
Petrb raised the priority of this task from to Needs Triage.
Petrb updated the task description. (Show Details)
Petrb added projects: Huggle, Documentation.
Petrb added a subscriber: Petrb.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 20 2015, 4:59 PM
Petrb triaged this task as Lowest priority.Apr 2 2015, 11:10 AM
Petrb moved this task from Backlog to Need volunteer on the Huggle board.
Matthewrbowker moved this task from Need volunteer to Doing on the Huggle board.
Petrb renamed this task from Move stuff in huggle docs into low number of large pages to Move stuff in huggle docs into small number of large pages.Nov 9 2015, 1:11 PM
Petrb added a project: good first bug.
Petrb set Security to None.

I will mentor this task

Hi @Petrb
Can you please add me as a co-mentor for this task on the application system?

This task is not yet in code-in, if you can, please add it there!

What exactly is needed of this task?

Petrb added a comment.Nov 25 2015, 2:23 PM

If you open https://www.mediawiki.org/wiki/Manual:Huggle you will see there is huge amount of extremely small pages.

Basically, it would be great if someone completely rewrote the manual in a way, that there would be only few, or just one big page that covers everything.

Aklapper removed Matthewrbowker as the assignee of this task.Dec 5 2015, 8:41 PM
Aklapper added a subscriber: Matthewrbowker.

Unassigning this task as I have not seen much progress. Nothing against Matthew, just that we want this task to be available for a contributor in Google Code-In.

Aklapper updated the task description. (Show Details)Dec 7 2015, 10:18 AM
Aklapper updated the task description. (Show Details)Dec 7 2015, 10:21 AM

Haven't seen any movement on the Google Code-In front for about 10 months. I'm going to re-claim the task as part of my work on T67952: Update manual for Huggle to contain stuff for HG 3

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptSep 26 2016, 11:34 PM

Haven't seen any movement on the Google Code-In front for about 10 months.

As GCI is a 7 week long contest, GCI 2015 ended in January 2016. GCI 2016 is around the corner.

husn_shujaat added a subscriber: husn_shujaat.EditedNov 26 2016, 4:52 PM

Can I mentor this task this year for Google Code-in?

If @Petrb is fine with this being a GCI task (and willing to co-mentor), sure. :)

Matthewrbowker removed Matthewrbowker as the assignee of this task.Dec 3 2016, 1:02 AM

Remove myself from assignee due to Google-Code-In-2016

I want to do this task. Please assign it to me.
Thanks

Done. Good luck!

Sir, I have edited the page .
Please review it and must tell if it require any more modification.

@meets2tarun: I cannot judge this, but currently https://www.mediawiki.org/wiki/Manual:Huggle misses a Table of Contents and at the top still links to the subpages whose content is now duplicated on the main page and hence will get out of sync soon. Also, there are duplicated translation markers, and I highly recommend to do small edits and actually using the Edit Summary field to explain which page what comes from. (I'm afraid these two edits might get reverted.)

@Aklapper I will improve the documentation.

@Aklapper I want to mentor this task in GCI-2016 .

I have explained about translation unit markers in https://www.mediawiki.org/wiki/Topic:Tijuha4yu58kf7g1

EddieGP added a subscriber: EddieGP.Feb 9 2017, 6:15 PM
EddieGP removed a subscriber: EddieGP.Feb 24 2017, 7:01 PM
meets2tarun added a comment.EditedOct 31 2017, 1:10 PM

I am ready to mentor this task in Google-Code-in-2017

Zppix removed meets2tarun as the assignee of this task.Oct 31 2017, 6:01 PM
Zppix added a subscriber: Zppix.

Unassigned per GCI Wikimedia guidelines for tasks

Framawiki moved this task from Doing to Need volunteer on the Huggle board.Nov 4 2017, 3:41 PM
Petrb added a comment.Nov 11 2017, 8:18 PM

I am slightly confused, you said you fixed this task and now you want to mentor it? So I suppose this task is not fixed?

Petrb added a comment.Nov 11 2017, 8:19 PM

https://www.mediawiki.org/wiki/Manual:Huggle still look like an index for big amount of tiny subpages, so I suppose it's not done, importing to GCI

Aklapper reopened this task as Open.Nov 20 2017, 12:10 PM
Aklapper moved this task from Proposed tasks to Imported in GCI Site on the Google-Code-in-2017 board.

Let's keep this open until it is actually fixed. :)

Aklapper updated the task description. (Show Details)Nov 20 2017, 12:11 PM

@Aklapper Since I already worked on this task last year and I have a brief idea about the markup and translation used. But due to some issue that time, my changes were reverted. So I request you that may I mentor this task in the upcoming GCI?

jayvdb added a subscriber: jayvdb.Dec 3 2017, 10:41 AM

@Petrb , do you think some of the information at https://meta.wikimedia.org/wiki/Huggle/Download should be included into the new revise manual ?
Otherwise the enwp and meta versions have two distinct sets of information about installation methods.

This comment was removed by Nikitrain.

Hello @Aklapper and @Petrb, I've made a draft of the manual here: https://www.mediawiki.org/wiki/User:Eisheeta/Sandbox/Manual:Huggle
It'd be great if you could let me know if this is okay, or if it requires more changes.

Thank you!

@TerraCodes @Aklapper Can I add this as a Google Summer of Docs task. would love to complete this.

I'm a translation admin on mediawiki - let me know if you need any pages re-marked for translation / help setting them up for translation